package com.isu.gaswellwatch.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.isu.gaswellwatch.dao.SwitchStatusExportDao;
import com.isu.gaswellwatch.service.SwitchStatusExportService;
import com.isu.gaswellwatch.vo.SwitchStatusExport;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service("switchStatusExportService")
@Transactional(rollbackFor = Exception.class)
public class SwitchStatusExportServiceImpl extends ServiceImpl<SwitchStatusExportDao, SwitchStatusExport> implements SwitchStatusExportService {

    @Resource
    private SwitchStatusExportDao switchStatusExportDao;

    @Override
    public List<SwitchStatusExport> getSwitchStatusExport(String startTime, String endTime, Long departmentId) {
        return switchStatusExportDao.getSwitchStatusExport(startTime, endTime,departmentId);
    }
}


