INSERT INTO `$TableName$`(`id`, `device_id`, `created_time`, `collection_time`, `receive_time`,
                          `cas_pressure`, `oil_pressure`, `alarm`, `solenoid_valve_status`,
                          `open_well_remaining_time`, `close_well_remaining_time`, `plug_arrival_status`,
                          `plug_too_fast_count`, `plug_rising_speed`, `downstream_pressure`,
                          `solenoid_valve_opening`, `reserve`, `pre_pressure`, `run_mode`, `well_status`,
                          `gas_collection_method`, `high_pressure_protection`, `low_pressure_protection`,
                          `too_fast_count`, `dangerous_rise_time`, `too_fast_rise_time`, `open_well_time`,
                          `close_well_time`, `open_well_cas_pressure`, `little_rise_cas_pressure`,
                          `check_stability_time`, `min_close_well_time`, `max_close_well_time`, `min_open_well_time`,
                          `max_open_well_time`, `well_depth`, `produce_mode`)
VALUES (?, ?, NOW(), ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)
ON DUPLICATE KEY UPDATE receive_time=VALUES(receive_time),
                        cas_pressure=VALUES(cas_pressure),
                        oil_pressure=VALUES(oil_pressure),
                        alarm=VALUES(alarm),
                        solenoid_valve_status=VALUES(solenoid_valve_status),
                        open_well_remaining_time=VALUES(open_well_remaining_time),
                        close_well_remaining_time=VALUES(close_well_remaining_time),
                        plug_arrival_status=VALUES(plug_arrival_status),
                        plug_too_fast_count=VALUES(plug_too_fast_count),
                        plug_rising_speed=VALUES(plug_rising_speed),
                        downstream_pressure=VALUES(downstream_pressure),
                        solenoid_valve_opening=VALUES(solenoid_valve_opening),
                        reserve=VALUES(reserve),
                        pre_pressure=VALUES(pre_pressure),
                        run_mode=VALUES(run_mode),
                        well_status=VALUES(well_status),
                        gas_collection_method=VALUES(gas_collection_method),
                        high_pressure_protection=VALUES(high_pressure_protection),
                        low_pressure_protection=VALUES(low_pressure_protection),
                        too_fast_count=VALUES(too_fast_count),
                        dangerous_rise_time=VALUES(dangerous_rise_time),
                        too_fast_rise_time=VALUES(too_fast_rise_time),
                        open_well_time=VALUES(open_well_time),
                        close_well_time=VALUES(close_well_time),
                        open_well_cas_pressure=VALUES(open_well_cas_pressure),
                        little_rise_cas_pressure=VALUES(little_rise_cas_pressure),
                        check_stability_time=VALUES(check_stability_time),
                        min_close_well_time=VALUES(min_close_well_time),
                        max_close_well_time=VALUES(max_close_well_time),
                        min_open_well_time=VALUES(min_open_well_time),
                        max_open_well_time=VALUES(max_open_well_time),
                        well_depth=VALUES(well_depth),
                        produce_mode=VALUES(produce_mode)
